Delete Group

DELETE /internal/admin/comms/v1/group/{groupId}

Operation id: delete__internal_admin_comms_v1_group_groupId_

Description

Delete a group as an external user with admin privileges

Tags: User Groups

Parameters

Path parameters

NameTypeRequiredDescription
groupIdintegerYesGroup ID

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — Successfully deleted group

Content type: application/json

400 — Invalid request parameters

Content type: application/json

401 — Unauthorized request

Content type: application/json

403 — Forbidden

Content type: application/json

404 — Group not found

Content type: application/json

500 — Server error while processing request

Content type: application/json

Response models

200 — Successfully deleted group

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

400 — Invalid request parameters

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

401 — Unauthorized request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

403 — Forbidden

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

404 — Group not found

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

500 — Server error while processing request

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}